import 'package:nanulishus_models/box.dart';

class CookieModel {
  String id;
  String name;
  String description;
  int price;
  String image;
  String imageNetwork;
  String imageSm;
  String imageMd;
  List<BoxModel> boxes;


  CookieModel({
    this.id,
    this.name,
    this.description,
    this.price,
    this.image,
    this.imageNetwork,
    this.imageSm,
    this.imageMd,
    this.boxes
  });

  CookieModel.fromCookie(CookieModel cookie) {
    id = cookie.id;
    name = cookie.name;
    description = cookie.description;
    price = cookie.price;
    image = cookie.image;
    image = cookie.imageNetwork;
    imageSm = cookie.imageSm;
    imageMd = cookie.imageMd;
    boxes = cookie.boxes;
  }

  factory CookieModel.fromJson(Map<String, dynamic> parsedJson) {
    final List<dynamic> boxes = parsedJson['boxes'];
    return CookieModel(
        id: parsedJson['id'],
        name: parsedJson['name'],
        description: parsedJson['description'],
        price: parsedJson['price'],
        image: parsedJson['image'],
        imageNetwork: parsedJson['image_network'],
        imageSm: parsedJson['image_sm'],
        imageMd: parsedJson['image_md'],
        boxes: boxes.map((box) => BoxModel.fromJson(box)).toList()
    );
  }

  // TODO maybe put this in a service or abstract class
  priceToString() {
    return '\$${(price / 100).toStringAsFixed(2)}';
  }
}