import 'package:nanulishus_models/shipping.dart';

class PaymentModel {
  String id;
  ShippingModel shipping;
  String email;
  int amount;
  String currency;
  String paymentMethod;

  PaymentModel({
    this.id,
    this.shipping,
    this.email
  });

  factory PaymentModel.fromJson(Map<String, dynamic> parsedJson) {
    return PaymentModel(
      id: parsedJson["id"],
      shipping: ShippingModel.fromJson(parsedJson['shipping']),
      email: parsedJson['receipt_email']
    );
  }

  Map<String, dynamic> toJson() => {
    "amount": amount,
    "currency": currency,
    "receipt_email": email,
    "shipping": shipping,
    "payment_method": paymentMethod
  };
}